GeneratedMessageLite.MergeFromVisitor
Date: 2017-07-08

com.google.protobuf

## Class GeneratedMessageLite.MergeFromVisitor

- java.lang.Object
- - com.google.protobuf.GeneratedMessageLite.MergeFromVisitor

- All Implemented Interfaces:
    GeneratedMessageLite.Visitor
  Enclosing class:
    GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>

      protected static class GeneratedMessageLite.MergeFromVisitor
      extends java.lang.Object
      implements GeneratedMessageLite.Visitor

  Implements field merging semantics over the visitor interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GeneratedMessageLite.MergeFromVisitor` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visitBoolean(boolean minePresent, boolean mine, boolean otherPresent, boolean other)`
    `Internal.BooleanList` | `visitBooleanList(Internal.BooleanList mine, Internal.BooleanList other)`
    `ByteString` | `visitByteString(boolean minePresent, ByteString mine, boolean otherPresent, ByteString other)`
    `double` | `visitDouble(boolean minePresent, double mine, boolean otherPresent, double other)`
    `Internal.DoubleList` | `visitDoubleList(Internal.DoubleList mine, Internal.DoubleList other)`
    `com.google.protobuf.FieldSet<com.google.protobuf.GeneratedMessageLite.ExtensionDescriptor>` | `visitExtensions(com.google.protobuf.FieldSet<com.google.protobuf.GeneratedMessageLite.ExtensionDescriptor> mine, com.google.protobuf.FieldSet<com.google.protobuf.GeneratedMessageLite.ExtensionDescriptor> other)`
    `float` | `visitFloat(boolean minePresent, float mine, boolean otherPresent, float other)`
    `Internal.FloatList` | `visitFloatList(Internal.FloatList mine, Internal.FloatList other)`
    `int` | `visitInt(boolean minePresent, int mine, boolean otherPresent, int other)`
    `Internal.IntList` | `visitIntList(Internal.IntList mine, Internal.IntList other)`
    `LazyFieldLite` | `visitLazyMessage(LazyFieldLite mine, LazyFieldLite other)`
    `<T> Internal.ProtobufList<T>` | `visitList(Internal.ProtobufList<T> mine, Internal.ProtobufList<T> other)`
    `long` | `visitLong(boolean minePresent, long mine, boolean otherPresent, long other)`
    `Internal.LongList` | `visitLongList(Internal.LongList mine, Internal.LongList other)`
    `<K,V> MapFieldLite<K,V>` | `visitMap(MapFieldLite<K,V> mine, MapFieldLite<K,V> other)`
    `<T extends MessageLite> T` | `visitMessage(T mine, T other)` Message fields use null sentinals.
    `java.lang.Object` | `visitOneofBoolean(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `java.lang.Object` | `visitOneofByteString(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `java.lang.Object` | `visitOneofDouble(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `java.lang.Object` | `visitOneofFloat(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `java.lang.Object` | `visitOneofInt(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `java.lang.Object` | `visitOneofLazyMessage(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `java.lang.Object` | `visitOneofLong(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `java.lang.Object` | `visitOneofMessage(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `void` | `visitOneofNotSet(boolean minePresent)`
    `java.lang.Object` | `visitOneofString(boolean minePresent, java.lang.Object mine, java.lang.Object other)`
    `java.lang.String` | `visitString(boolean minePresent, java.lang.String mine, boolean otherPresent, java.lang.String other)`
    `UnknownFieldSetLite` | `visitUnknownFields(UnknownFieldSetLite mine, UnknownFieldSetLite other)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final GeneratedMessageLite.MergeFromVisitor INSTANCE

  - ### Method Detail

    - #### visitBoolean

          public boolean visitBoolean(boolean minePresent,
                             boolean mine,
                             boolean otherPresent,
                             boolean other)

      Specified by:
        `visitBoolean` in interface `GeneratedMessageLite.Visitor`

    - #### visitInt

          public int visitInt(boolean minePresent,
                     int mine,
                     boolean otherPresent,
                     int other)

      Specified by:
        `visitInt` in interface `GeneratedMessageLite.Visitor`

    - #### visitDouble

          public double visitDouble(boolean minePresent,
                           double mine,
                           boolean otherPresent,
                           double other)

      Specified by:
        `visitDouble` in interface `GeneratedMessageLite.Visitor`

    - #### visitFloat

          public float visitFloat(boolean minePresent,
                         float mine,
                         boolean otherPresent,
                         float other)

      Specified by:
        `visitFloat` in interface `GeneratedMessageLite.Visitor`

    - #### visitLong

          public long visitLong(boolean minePresent,
                       long mine,
                       boolean otherPresent,
                       long other)

      Specified by:
        `visitLong` in interface `GeneratedMessageLite.Visitor`

    - #### visitString

          public java.lang.String visitString(boolean minePresent,
                                     java.lang.String mine,
                                     boolean otherPresent,
                                     java.lang.String other)

      Specified by:
        `visitString` in interface `GeneratedMessageLite.Visitor`

    - #### visitByteString

          public ByteString visitByteString(boolean minePresent,
                                   ByteString mine,
                                   boolean otherPresent,
                                   ByteString other)

      Specified by:
        `visitByteString` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofBoolean

          public java.lang.Object visitOneofBoolean(boolean minePresent,
                                           java.lang.Object mine,
                                           java.lang.Object other)

      Specified by:
        `visitOneofBoolean` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofInt

          public java.lang.Object visitOneofInt(boolean minePresent,
                                       java.lang.Object mine,
                                       java.lang.Object other)

      Specified by:
        `visitOneofInt` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofDouble

          public java.lang.Object visitOneofDouble(boolean minePresent,
                                          java.lang.Object mine,
                                          java.lang.Object other)

      Specified by:
        `visitOneofDouble` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofFloat

          public java.lang.Object visitOneofFloat(boolean minePresent,
                                         java.lang.Object mine,
                                         java.lang.Object other)

      Specified by:
        `visitOneofFloat` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofLong

          public java.lang.Object visitOneofLong(boolean minePresent,
                                        java.lang.Object mine,
                                        java.lang.Object other)

      Specified by:
        `visitOneofLong` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofString

          public java.lang.Object visitOneofString(boolean minePresent,
                                          java.lang.Object mine,
                                          java.lang.Object other)

      Specified by:
        `visitOneofString` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofByteString

          public java.lang.Object visitOneofByteString(boolean minePresent,
                                              java.lang.Object mine,
                                              java.lang.Object other)

      Specified by:
        `visitOneofByteString` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofLazyMessage

          public java.lang.Object visitOneofLazyMessage(boolean minePresent,
                                               java.lang.Object mine,
                                               java.lang.Object other)

      Specified by:
        `visitOneofLazyMessage` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofMessage

          public java.lang.Object visitOneofMessage(boolean minePresent,
                                           java.lang.Object mine,
                                           java.lang.Object other)

      Specified by:
        `visitOneofMessage` in interface `GeneratedMessageLite.Visitor`

    - #### visitOneofNotSet

          public void visitOneofNotSet(boolean minePresent)

      Specified by:
        `visitOneofNotSet` in interface `GeneratedMessageLite.Visitor`

    - #### visitMessage

          public <T extends MessageLite> T visitMessage(T mine,
                                               T other)

      Description copied from interface: `GeneratedMessageLite.Visitor`
      Message fields use null sentinals.
      Specified by:
        `visitMessage` in interface `GeneratedMessageLite.Visitor`

    - #### visitLazyMessage

          public LazyFieldLite visitLazyMessage(LazyFieldLite mine,
                                       LazyFieldLite other)

      Specified by:
        `visitLazyMessage` in interface `GeneratedMessageLite.Visitor`

    - #### visitList

          public <T> Internal.ProtobufList<T> visitList(Internal.ProtobufList<T> mine,
                                               Internal.ProtobufList<T> other)

      Specified by:
        `visitList` in interface `GeneratedMessageLite.Visitor`

    - #### visitBooleanList

          public Internal.BooleanList visitBooleanList(Internal.BooleanList mine,
                                              Internal.BooleanList other)

      Specified by:
        `visitBooleanList` in interface `GeneratedMessageLite.Visitor`

    - #### visitIntList

          public Internal.IntList visitIntList(Internal.IntList mine,
                                      Internal.IntList other)

      Specified by:
        `visitIntList` in interface `GeneratedMessageLite.Visitor`

    - #### visitDoubleList

          public Internal.DoubleList visitDoubleList(Internal.DoubleList mine,
                                            Internal.DoubleList other)

      Specified by:
        `visitDoubleList` in interface `GeneratedMessageLite.Visitor`

    - #### visitFloatList

          public Internal.FloatList visitFloatList(Internal.FloatList mine,
                                          Internal.FloatList other)

      Specified by:
        `visitFloatList` in interface `GeneratedMessageLite.Visitor`

    - #### visitLongList

          public Internal.LongList visitLongList(Internal.LongList mine,
                                        Internal.LongList other)

      Specified by:
        `visitLongList` in interface `GeneratedMessageLite.Visitor`

    - #### visitExtensions

          public com.google.protobuf.FieldSet<com.google.protobuf.GeneratedMessageLite.ExtensionDescriptor> visitExtensions(com.google.protobuf.FieldSet<com.google.protobuf.GeneratedMessageLite.ExtensionDescriptor> mine,
                                                                                                                   com.google.protobuf.FieldSet<com.google.protobuf.GeneratedMessageLite.ExtensionDescriptor> other)

      Specified by:
        `visitExtensions` in interface `GeneratedMessageLite.Visitor`

    - #### visitUnknownFields

          public UnknownFieldSetLite visitUnknownFields(UnknownFieldSetLite mine,
                                               UnknownFieldSetLite other)

      Specified by:
        `visitUnknownFields` in interface `GeneratedMessageLite.Visitor`

    - #### visitMap

          public <K,V> MapFieldLite<K,V> visitMap(MapFieldLite<K,V> mine,
                                         MapFieldLite<K,V> other)

      Specified by:
        `visitMap` in interface `GeneratedMessageLite.Visitor`